Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class GetEffectivePogoFieldSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.GetEffectivePogoFieldSite

    public class GetEffectivePogoFieldSite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`CallSite` | `acceptGroovyObjectGetProperty(Object receiver)`
`Object` | `callGetProperty(Object receiver)`
`Object` | `callGroovyObjectGetProperty(Object receiver)`
`Object` | `getProperty(Object receiver)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GetEffectivePogoFieldSite

    public GetEffectivePogoFieldSite(CallSite site, MetaClass metaClass, CachedField effective)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

### acceptGroovyObjectGetProperty

    public final CallSite acceptGroovyObjectGetProperty(Object receiver)

### callGetProperty

    public final Object callGetProperty(Object receiver)

### callGroovyObjectGetProperty

    public final Object callGroovyObjectGetProperty(Object receiver)

### getProperty

    public final Object getProperty(Object receiver)

Copyright © 2003-2010 The Codehaus. All rights reserved.